lambda_big_est <- function(failures, K, h){
  # Makes the big lambda function.
  #
  # Args:
  #   failures: A vector with failure times
  #   K: Integrated Kernel function
  #   h: Bandwidth
  #
  # Returns:
  #   A big lambda function that takes in time t and vector a with weights
  
    function(t, a){
    l = 0
    for (i in 1:length(failures)){
      l = l + (K((t-failures[i])/h) - K(-failures[i]/h))*a[i]
    }
    return(l)
  }
}