lambda_est <- function(failures, k, h){
  # Makes the lambda function.
  #
  # Args:
  #   failures: A vector with failure times
  #   k: Kernel function
  #   h: Bandwidth
  #
  # Returns:
  #   A lambda function that takes in time t and vector a with weights
  
  function(t, a){
    l = 0
    for (i in 1:length(failures)){
      l = l + (k((t-failures[i])/h)/h)*a[i]
    }
    return(l)
  }
}