likelihood <- function(failures, tau){
  # Makes the log likelihood function.
  #
  # Args:
  #   failures: A vector with failure times
  #   tau: Observation end point
  #
  # Returns:
  #   Log likelihood function that takes weights a as input
  #
  # The parameter beta is stored as the last element of the vector a
  #
    function(a){
    l = 0
    N = length(failures)
    
    l = l + N*(log(a[length(failures)+1]) + a[length(failures)+1]*log(gamma(a[length(failures)+1]^(-1)+1)))
    
    failures2 = c(0, failures)  
    for (i in 2:N+1){
    l = l + (a[length(failures)+1]-1)*log(lambda_big(failures2[i], a) - lambda_big(failures2[i-1], a)) + log(lambda(failures2[i], a)) - (gamma(a[length(failures)+1]^(-1)+1)*(lambda_big(failures2[i], a) - lambda_big(failures2[i-1], a)))^a[length(failures)+1]
    }
    
    l = l - (gamma(a[length(failures)+1]^(-1)+1)*(lambda_big(tau, a) - lambda_big(failures2[length(failures2)], a)))^a[length(failures)+1]
    
    return(-l)
  }
}